Skip to content
Start here

List existing interconnects

network_interconnects.interconnects.list(InterconnectListParams**kwargs) -> InterconnectListResponse
GET/accounts/{account_id}/cni/interconnects

List existing interconnects

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
ParametersExpand Collapse
account_id: str

Customer account tag

cursor: Optional[int]
formatint32
limit: Optional[int]
minimum0
site: Optional[str]

If specified, only show interconnects located at the given site

type: Optional[str]

If specified, only show interconnects of the given type

ReturnsExpand Collapse
class InterconnectListResponse:
items: List[Item]
One of the following:
class ItemNscInterconnectPhysicalBody:
account: str
facility: ItemNscInterconnectPhysicalBodyFacility
address: List[str]
name: str
name: str
site: str

A Cloudflare site name.

slot_id: str
formatuuid
speed: str
type: str
owner: Optional[str]
class ItemNscInterconnectGcpPartnerBody:
account: str
name: str
region: str
type: str
owner: Optional[str]
speed: Optional[Literal["50M", "100M", "200M", 9 more]]

Bandwidth structure as visible through the customer-facing API.

One of the following:
"50M"
"100M"
"200M"
"300M"
"400M"
"500M"
"1G"
"2G"
"5G"
"10G"
"20G"
"50G"

List existing interconnects

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
interconnects = client.network_interconnects.interconnects.list(
    account_id="account_id",
)
print(interconnects.items)
{
  "items": [
    {
      "account": "account",
      "facility": {
        "address": [
          "string"
        ],
        "name": "name"
      },
      "name": "name",
      "site": "site",
      "slot_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "speed": "speed",
      "type": "type",
      "owner": "owner"
    }
  ],
  "next": 0
}
Returns Examples
{
  "items": [
    {
      "account": "account",
      "facility": {
        "address": [
          "string"
        ],
        "name": "name"
      },
      "name": "name",
      "site": "site",
      "slot_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "speed": "speed",
      "type": "type",
      "owner": "owner"
    }
  ],
  "next": 0
}